;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Constants
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
login_win_X     = 900
login_win_Y     = 450

;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Draw main window
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
proc login_win_draw
        ; Start redraw
        mcall   12, 1
        ; Get sys colours into sys_colours var
        call    get_sys_colours
        ; fn 0 - define and draw window
        mov     eax, 0
        ; fn 0.ebx - win X dims = start * 65536 + x_size
        mov     ebx, 100 shl 16 + login_win_X
        ; fn 0.ecx - win Y dims = start * 65536 + y_size
        mov     ecx, 100 shl 16 + login_win_Y
        ; fn 0.edx - window colour and type (type 14 - fixed size with title)
        mov     edx, [sys_colours.work]
        or      edx, 0x14000000
        ; fn 0.esi - window title style and colour
        mov     esi, [sys_colours.grab]
        or      esi, 0x80000000
        mcall
        ; Draw textboxes
        invoke  edit_box_draw, login_box
        invoke  edit_box_draw, pass_box
        invoke  edit_box_draw, serv_box
        invoke  edit_box_draw, dbg_box
        ; Draw ok btn
        call    login_ok_btn_draw
        ; End redraw
        mcall   12, 2
        ; Return
        ret
endp

proc login_ok_btn_draw
        ; push regs
        pusha
        ; fn 8 - draw btn
        mov     eax, 8
        ; fn 8.ebx, 8.ecx - position*65536 + size
        mov     ebx, 20 shl 16 + 50
        mov     ecx, 100 shl 16 + 20
        ; fn 8.edx - flags + id (id = 2)
        mov     edx, 0x00000002
        ; fn 8.esi - color
        mov     esi, 0x00555555
        mcall
        ; restore regs
        popa
        ;return
        ret
endp

;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; BOXES
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
eb_width        = 150
eb_left         = 5
eb_bg           = 0xffffff
eb_shift        = 0x6f9480
eb_focus        = 0
eb_blur         = 0xAABBCC
eb_text_col     = 0
eb_tmax         = 45
;-----------------------------------
login_top       = 25
login_text      db 'test@192.168.42.54', 0
login_end:
        rb 256
login_box       edit_box        eb_width, eb_left, login_top,\  ; Width, left, top
                                eb_bg, eb_shift, eb_focus,\     ; bg color, shift color, focus color
                                eb_blur, eb_text_col, eb_tmax,\ ; blur color, text color, max text
                                login_text, 0, ed_focus,\       ; text, mouse_var, flags
                                login_end - login_text - 1,\    ; size
                                login_end - login_text - 1      ; pos
;-----------------------------------
pass_top        = 50
pass_text       db 'test', 0
pass_end:
        rb 256
pass_box        edit_box        eb_width, eb_left, pass_top,\   ; Width, left, top
                                eb_bg, eb_shift, eb_focus,\     ; bg color, shift color, focus color
                                eb_blur, eb_text_col, eb_tmax,\ ; blur color, text color, max text
                                pass_text, 0, ed_pass,\         ; text, mouse_var, flags
                                pass_end - pass_text - 1,\      ; size
                                pass_end - pass_text - 1        ; pos
;-----------------------------------
serv_top        = 75
serv_text       db '192.168.42.54', 0
serv_end:
        rb 256
serv_box        edit_box        eb_width, eb_left, serv_top,\   ; Width, left, top
                                eb_bg, eb_shift, eb_focus,\     ; bg color, shift color, focus color
                                eb_blur, eb_text_col, eb_tmax,\ ; blur color, text color, max text
                                serv_text, 0, 0,\               ; text, mouse_var, flags
                                serv_end - serv_text - 1,\      ; size
                                serv_end - serv_text - 1        ; pos

